Page MenuHomePhabricator

Mixed type atomic routines added for capture and update/capture reverse.
ClosedPublic

Authored by omalyshe on Oct 5 2016, 5:56 AM.

Details

Summary

New mixed type atomic routines added for regular capture operations as well as reverse update/capture operations.
LHS - all integer and float types (no complex so far), RHS - float16.

Diff Detail

Repository
rL LLVM

Event Timeline

omalyshe updated this revision to Diff 73635.Oct 5 2016, 5:56 AM
omalyshe retitled this revision from to Mixed type atomic routines added for capture and update/capture reverse..
omalyshe updated this object.
omalyshe set the repository for this revision to rL LLVM.
omalyshe added a subscriber: openmp-commits.
AndreyChurbanov accepted this revision.Oct 7 2016, 3:54 AM
AndreyChurbanov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Oct 7 2016, 3:54 AM
jlpeyton edited edge metadata.Oct 7 2016, 11:31 AM

Olga, I think this patch accidently includes content from the previous atomic patch (r282509). Can you get rid of that and repost the patch?

omalyshe updated this revision to Diff 74244.Oct 11 2016, 6:51 AM
omalyshe edited edge metadata.

Updated the diff to address Jonathan's comment.

jlpeyton accepted this revision.Oct 18 2016, 9:26 AM
jlpeyton edited edge metadata.

LGTM now.

This revision was automatically updated to reflect the committed changes.